Summary: Multiple Arcade Machine Emulator for the X Window System.
Name: xmame
Version: 0.36.1
Release: 1
URL: http://x.mame.net
Copyright: Nicola Salmoria and the MAME team, freely distributable
Group: Applications/Emulators
Source0: http://x.mame.net/download/xmame-%{version}.tgz
Source1: http://cheat.retrogames.com/cheat.zip
Source2: http://www.snipercade.com/cubeman/history.zip
Source3: http://www.mameworld.net/mametesters/mameinfo.dat
Patch0: xmame-%{version}.patch
Buildroot: /var/tmp/%{name}-root


%description
Xmame is the Multiple Arcade Machine Emulator for the X Windows System.  It 
will emulate the hardware, video, sound, and other services, of many classic
arcade game machines.

Built with XFree86-DGA mode.


%package xmess
Summary: Multi-Emulator Super System for the X Windows System.
Group: Applications/Emulators

%description xmess
Xmess is the Multi-Emulator Super System for the X Windows System.  It will
emulate the hardware, video, sound, and other services, of many old video game
consoles and computers.

Built with XFree86-DGA mode.

Note: The xmame-xmess package can be installed without the xmame package.

%prep
%setup -q
%patch -p1

%build
make -f makefile.unix NAME="xmame"
make -f makefile.unix NAME="xmess"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/lib/games/{xmame,xmess}
install -m 644 doc/xmamerc.dist $RPM_BUILD_ROOT/usr/lib/games/xmame/xmamerc
install -m 644 doc/xmessrc.dist $RPM_BUILD_ROOT/usr/lib/games/xmess/xmessrc

unzip $RPM_SOURCE_DIR/cheat.zip
unzip $RPM_SOURCE_DIR/history.zip ; mv HISTORY.DAT history.dat
install -m 644 cheat.dat history.dat $RPM_SOURCE_DIR/mameinfo.dat $RPM_BUILD_ROOT/usr/lib/games/xmame
install -m 644 src/mess/docs/sysinfo.dat $RPM_BUILD_ROOT/usr/lib/games/xmess

rm -rf contrib/cutzlib-1.1.3

install -d $RPM_BUILD_ROOT/usr/lib/games/xmame/{roms,samples,artwork}
install -d $RPM_BUILD_ROOT/usr/lib/games/xmess/{roms,crc}

install -m 644 crc/* $RPM_BUILD_ROOT/usr/lib/games/xmess/crc

install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 4755 -s xmame.x11 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 4755 -s xmess.x11 $RPM_BUILD_ROOT/usr/X11R6/bin

install -d $RPM_BUILD_ROOT/usr/X11R6/man/man6
install -m 644 doc/xmame.man $RPM_BUILD_ROOT/usr/X11R6/man/man6/xmame.6

cd $RPM_BUILD_ROOT/usr/X11R6/bin
ln -s xmame.x11 xmame
ln -s xmess.x11 xmess

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/changes.mame doc/changes.unix doc/cheat.doc doc/credits.unix
%doc doc/gamelist.mame doc/leeme.unix doc/liesmich.unix doc/maillist.txt
%doc doc/multiplayer-readme.txt doc/readme.fx doc/readme.mame doc/readme.unix
%doc doc/readme.xgl doc/todo doc/xmamerc.dist contrib/
%dir /usr/lib/games/xmame/roms
%dir /usr/lib/games/xmame/samples
%dir /usr/lib/games/xmame/artwork
/usr/lib/games/xmame/xmamerc
/usr/lib/games/xmame/cheat.dat
/usr/lib/games/xmame/history.dat
/usr/lib/games/xmame/mameinfo.dat
/usr/X11R6/bin/xmame
/usr/X11R6/bin/xmame.x11
/usr/X11R6/man/man6/xmame.6

%files xmess
%defattr(-,root,root)
%doc doc/changes.mess doc/changes.unix doc/credits.unix doc/leeme.unix
%doc doc/liesmich.unix doc/readme.mess doc/readme.unix doc/xmessrc.dist
%dir /usr/lib/games/xmess/roms
/usr/lib/games/xmess/crc
/usr/lib/games/xmess/xmessrc
/usr/lib/games/xmess/sysinfo.dat
/usr/X11R6/bin/xmess
/usr/X11R6/bin/xmess.x11

%changelog
* Mon Apr 10 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36.1

* Fri Mar 17 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36rc1.1

* Thu Mar  9 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36b16.1

* Mon Jan 31 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36b15.2

* Sat Jan 29 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36b15.1
- applied -listclones fix from Brian Moore <bem@cmc.net>
- included updated cheat.dat history.dat mameinfo.dat
- created xmame and xmame-xmess packages

* Sun Jan 16 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- updated to 0.36b14.1

* Wed Aug 25 1999 Tim Powers <timp@redhat.com>
- fixed problems with xmame not being able to find rc files

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 0.36b1.1
- included doc/*
- built for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0, updated source

* Tue Aug 4 1998 Michael Maher <mike@redhat.com>
- built package                                                  

